net.minecraft.network.rcon

## Class RConConsoleSource

- java.lang.Object
- - net.minecraft.network.rcon.RConConsoleSource

- All Implemented Interfaces:
    ICommandSender

      public class RConConsoleSource
      extends Object
      implements ICommandSender

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static RConConsoleSource` | `consoleBuffer` only ever used by MinecraftServer.executeCommand

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RConConsoleSource()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canCommandSenderUseCommand(int par1, String par2Str)` Returns true if the command sender is allowed to use the given command.
    `String` | `getChatBuffer()`
    `String` | `getCommandSenderName()` Gets the name of this command sender (usually username, but possibly "Rcon")
    `ChunkCoordinates` | `getPlayerCoordinates()` Return the position for this command sender.
    `void` | `resetLog()` Clears the RCon log
    `void` | `sendChatToPlayer(String par1Str)`
    `String` | `translateString(String par1Str, Object... par2ArrayOfObj)` Translates and formats the given string key with the given arguments.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### consoleBuffer

          public static final RConConsoleSource consoleBuffer

      only ever used by MinecraftServer.executeCommand

  - ### Constructor Detail

    - #### RConConsoleSource

          public RConConsoleSource()

  - ### Method Detail

    - #### resetLog

          public void resetLog()

      Clears the RCon log

    - #### getChatBuffer

          public String getChatBuffer()

    - #### getCommandSenderName

          public String getCommandSenderName()

      Gets the name of this command sender (usually username, but possibly "Rcon")
      Specified by:
        `getCommandSenderName` in interface `ICommandSender`

    - #### sendChatToPlayer

          public void sendChatToPlayer(String par1Str)

      Specified by:
        `sendChatToPlayer` in interface `ICommandSender`

    - #### canCommandSenderUseCommand

          public boolean canCommandSenderUseCommand(int par1,
                                           String par2Str)

      Returns true if the command sender is allowed to use the given command.
      Specified by:
        `canCommandSenderUseCommand` in interface `ICommandSender`

    - #### translateString

          public String translateString(String par1Str,
                               Object... par2ArrayOfObj)

      Translates and formats the given string key with the given arguments.
      Specified by:
        `translateString` in interface `ICommandSender`

    - #### getPlayerCoordinates

          public ChunkCoordinates getPlayerCoordinates()

      Return the position for this command sender.
      Specified by:
        `getPlayerCoordinates` in interface `ICommandSender`